Bug 4903

Summary: OAI doesn't work out of the box - XSL path
Product: Koha Reporter: Tomás Cohen Arazi <tomascohen>
Component: Z39.50 / SRU / OpenSearch ServersAssignee: Galen Charlton <gmcharlt>
Status: CLOSED FIXED QA Contact: Bugs List <koha-bugs>
Severity: major    
Priority: PATCH-Sent (DO NOT USE) CC: chris, magnus, nunyo.lopez
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: ---
Who signed the patch off: Text to go in the release notes:
Version(s) released in:
Attachments: revised patch

Description Tomás Cohen Arazi 2010-06-24 00:27:04 UTC
In opac/oai.pl, the /koha-tmpl/intranet-tmpl/prog/en/xslt/ path is not available in a normal install: OAI harvesting fails and koha-opac-error.log says:

"oai.pl: Could not create file parser context for file "/usr/share/koha_ffyh/intranet/cgi-bin/koha-tmpl/intranet-tmpl/prog/en/xslt/MARC21slim2OAIDC.xsl": No such file or directory"

I'm not sure this xsl should be on intranet dir thou.

To+
Comment 1 Tomás Cohen Arazi 2010-08-24 16:35:07 UTC
patch sent
Comment 2 Galen Charlton 2010-10-28 12:46:34 UTC
Submitted revised patch.
Comment 3 Galen Charlton 2010-10-28 12:46:54 UTC
Created attachment 2707 [details] [review]
revised patch
Comment 4 Tomás Cohen Arazi 2010-11-05 14:36:12 UTC
Please backport to 3.0.X.
Comment 5 MJ Ray (software.coop) 2010-11-19 16:33:48 UTC
This bug is mentioned in:
bug 4903: enable OAI-DC output when install	done in standard mode http://lists.koha-community.org/pipermail/koha-patches/2010-October/012729.html
bug 4903: enable OAI-DC output when install	done in standard mode http://lists.koha-community.org/pipermail/koha-patches/2010-October/012731.html
Comment 6 Nuño López Ansótegui 2011-01-27 09:54:51 UTC
I installed the new version of koha "3.2.3" and the bug still not fixed.
Comment 7 Owen Leonard 2011-01-27 13:46:23 UTC
(In reply to comment #6)
> I installed the new version of koha "3.2.3" and the bug still not fixed.

A patch has been submitted, but not approved. We're still waiting for someone to test the patch and sign off on it (confirm that it works). If you could do so the patch could make it into the next version.
Comment 8 Tomás Cohen Arazi 2011-01-27 14:07:25 UTC
I originally sent the patch, which was tested and is in production here. This version substitutes double with single quotes.
I'll check in the docs how to sign-off a patch...
Comment 9 Magnus Enger 2011-04-07 07:59:38 UTC
I did a standard install, verified that the error was still there, applied the patch, did an upgrade et voila, OAI-PMH works!
Comment 10 Chris Cormack 2011-04-07 09:39:55 UTC
Pushed please test
Comment 11 Magnus Enger 2012-03-23 09:17:22 UTC
This works in current master.